AppServerTemplate (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.AppServerTemplate interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface AppServerTemplate

All Superinterfaces:
  ModelObject, java.io.Serializable, Template

    public interface AppServerTemplate

extends Template

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.discovery.template.Template
`TEMPLATE_ACTION_DISCOVER, TEMPLATE_ACTION_IGNORE, TEMPLATE_ACTIONS, TYPE_COMPUTERSYSTEM, TYPE_DATABASE, TYPE_J2EE_SERVER, TYPE_LIST_SOFTWARE, TYPE_LIST_SYSTEM, TYPE_OTHER_SERVER, TYPE_WEB_SERVER`

Method Summary
`java.lang.String` | `getApplicationName()`
`boolean` | `hasApplicationName()`
`void` | `setApplicationName(java.lang.String application)` Sets the application.

Methods inherited from interface com.collation.platform.model.discovery.template.Template
`getAction, getEnabled, getFileCaptureList, getFilterSet, getIconName, getIndex, getInternal, getName, getOrder, getSeedClass, getSource, getTemplateActionClass, getType, hasAction, hasEnabled, hasFileCaptureList, hasFilterSet, hasIconName, hasIndex, hasInternal, hasName, hasOrder, hasSeedClass, hasSource, hasTemplateActionClass, hasType, setAction, setEnabled, setFileCaptureList, setFilterSet, setIconName, setIndex, setInternal, setName, setOrder, setSeedClass, setSource, setTemplateActionClass, setType`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getApplicationName

    java.lang.String getApplicationName()
                                        throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setApplicationName

    void setApplicationName(java.lang.String application)

  Sets the application.

  Parameters:
    `application` - The application to set

### hasApplicationName

    boolean hasApplicationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD